eclipse mit Tomcat, log4j, struts usw.

  1. Badener

    Badener Thread Starter

    Hallo,

    ich muß fürs Studium eine Java-Webappliaktion erstellen, dazu brauche ich eclipse, Tomcat, Struts, Log4J, Hibernate usw....

    Jetzt habe ich ein Packet gefunden, in dem das (fast) alles drin ist - diesen "Tomcat by SW - 3.0.1" - zu finden unter defekter Link entfernt

    Prinzipiell funktioniert das Tomcat-Packet, eclipse und PostgreSQL auch - nur unter eclipse nicht. Muß ich da die .jars extra in den eclipse-Plugin-Ordner importieren, oder habe ich was übersehen?

    Danke
    Badener
     
    Badener, 31.05.2006
  2. gishmo

    gishmoMacUser Mitglied

    Mitglied seit:
    16.03.2004
    Beiträge:
    813
    Zustimmungen:
    23
    Du brauchst ein Tomcat-Plugin.
    So etwas wie die Plugin von Sudeo, myEclispeIDE, oder WTP. WTP ist etwas instabil, zumindest in der 1.0 Version, das Sudeo-Plugin ist etwas alt und myEclipseIDE kostet im Jahr 50 Euro, läuft dafür aber stabil auf dem Mac.

    Dort musst Du den Tomcat als Server definieren.

    cu Frank
     
    gishmo, 31.05.2006
  3. wegus

    wegusMacUser Mitglied

    Mitglied seit:
    13.09.2004
    Beiträge:
    14.982
    Zustimmungen:
    1.545
    Wenn die IDE ggf. austauschbar ist kann ich zur Webentwicklung auch netbeans empfehlen. es bringt nen eigenen Tomcat mit, hat Struts und JSF support dabei und funktioniert out of the box. Da das WTP von eclispe nicht ganz so einfach zu bändigen ist, ist das evtl. ein leichterer Einstieg und da letztlich eh alles in JEE-Containern landet, ist die IDE eigentlich sekundär.

    Wenn es denn Eclipse sein soll, dann ist die OpenWorkbench evtl. eine Lösung. Ähnlich myeclipse ist das eine vorgefertigte Distribution von Eclipse - allerdings mehr auf JBOSS ausgerichtet - Tomcat müßte damit aber auch gehen.

    Alternativ die erste Beta der easy-eclipse Distribution :

    http://www.easyeclipse.org/site/distributions/server-java.html
     
    wegus, 31.05.2006
  4. Badener

    Badener Thread Starter

    OK - vielen Dank für die Antworten. Das WTP-Plugin nervt mich ziemlich, da es teilw. zu den versch. eclipse-Versionen nicht kompatibel ist - da bin ich noch am frickeln. Vieleicht probiere ich doch mal den Netbeans.....
     
    Badener, 31.05.2006
  5. gishmo

    gishmoMacUser Mitglied

    Mitglied seit:
    16.03.2004
    Beiträge:
    813
    Zustimmungen:
    23
    Von myEclipseIDE gibt es eine 4-wöchige Trial und WTP läuft stabiler mit Java 1.5.

    Ich würde auf Eclipse setzen, da Du da mit einen Quasi-Standard arbeitest. Wird Dir später sicherlich entgegen kommen ...
     
    gishmo, 31.05.2006
Die Seite wird geladen...
Ähnliche Themen - eclipse Tomcat log4j
  1. KennyZorro
    Antworten:
    3
    Aufrufe:
    953
    KennyZorro
    11.03.2013
  2. Achim22
    Antworten:
    3
    Aufrufe:
    1.861
    Achim22
    09.09.2009
  3. emmy
    Antworten:
    0
    Aufrufe:
    556
  4. LongDongLude
    Antworten:
    4
    Aufrufe:
    2.030
    LongDongLude
    21.11.2008
  5. MXWorker
    Antworten:
    17
    Aufrufe:
    2.573